Page MenuHomeMiraheze

Enable TUN/TAP on servers
Closed, ResolvedPublic

Description

In order to create virtual network kernel interfaces, TUN/TAP must be enabled (OpenVZ). For the following servers TUN/TAP must be enabled in SolusVM, because it was disabled by default. This may cause a reboot thus failover/maintenance window is required:

  • cp2.miraheze.org
  • cp4.miraheze.org
  • misc1.miraheze.org
  • misc2.miraheze.org
  • misc3.miraheze.org
  • misc4.miraheze.org
  • mw1.miraheze.org
  • mw2.miraheze.org
  • mw3.miraheze.org
  • ns1.miraheze.org
  • lizardfs1.miraheze.org
  • lizardfs2.miraheze.org
  • lizardfs3.miraheze.org
  • puppet1.miraheze.org

It is preferred to do this for all servers.

Event Timeline

Southparkfan triaged this task as Normal priority.May 4 2019, 23:29
Southparkfan created this task.
Paladox updated the task description. (Show Details)May 4 2019, 23:44
Paladox updated the task description. (Show Details)
Paladox updated the task description. (Show Details)May 4 2019, 23:51
Paladox updated the task description. (Show Details)May 5 2019, 00:00
John moved this task from Backlog to Operations on the Goal-2019-Jan-Jun board.May 8 2019, 00:01
Paladox updated the task description. (Show Details)May 10 2019, 22:41
Paladox updated the task description. (Show Details)May 10 2019, 22:58

@Paladox for lizardfs[123].miraheze.org: what is the impact of one node being offline? Does it only prevent MediaWiki from retrieving 1/3 of our static content or will LizardFS crash completely?

If only the former, could you schedule a maintenance window (and notify users in advance) and enable TUN/TAP on those servers?

misc[123].miraheze.org also need to be done but later, I can do those myself.

Paladox added a comment.May 27 2019, 13:53

@Southparkfan correct, it will only prevent accessing the static resources from the LFS that is down. It will not cause LFS to crash nor the master.

Paladox added a comment.May 27 2019, 14:24

I may as well do misc2 and misc3 in the same window (less downtime). Otherwise we would have multiple windows.

Doing misc3 will cause an outage for a few mins until the lfs master process starts.

Paladox updated the task description. (Show Details)May 27 2019, 20:45
Paladox closed this task as Resolved.May 27 2019, 22:45
Paladox claimed this task.
Paladox updated the task description. (Show Details)